## termcap-compat 1.1.0

=== debian/changelog ===
termcap-compat (1.1.0) frozen; urgency=low

  * Made package architecture-independent. (3721)
  * Converted to new packaging standards.
  * Upgraded /etc/termcap to version 9.13.15
  * Changed version numbering scheme slightly (no "-[1-9]" anymore)
    to make the source package work better with the new dpkg source format.
  * Closes all outstanding termcap bugs (836, 1803)
  * Modified description to make it clear that termcap-compat isn't meant
    to be used to compile program. Says to use ncurses' termcap emulation
    routines for programs that need termcap. (Using them is as simple as
    replacing -ltermcap by -lncurses in the makefile.)

 -- Christian Hudon <chrish@debian.org>  Mon, 25 Nov 1996 23:01:27 -0500

termcap-compat (1.0.0-2) unstable; urgency=low
  
  * Cleared up copyright.
  * Changed maintainer address.

 -- Christian Hudon <chrish@debian.org>  Wed, 12 Jun 1996 21:08:24 -0400

termcap-compat (1.0.0-1) unstable; urgency=low

  * Initial release.
  
 -- Christian Hudon <chrish@debian.org>  Fri, 10 May 1996 22:01:29 -0500
  
Local variables:
mode: debian-changelog
End:
