## termcap-compat 1.1.1.1

=== debian/changelog ===
termcap-compat (1.1.1.1) frozen unstable; urgency=high

  * Non-maintainer release.
  * Apply patch to fix security hole (Bug:#24200).

 -- Joel Klecker <jk@espy.org>  Wed, 15 July 1998 18:22:35 -0700

termcap-compat (1.1.1) unstable; urgency=low

  * Upgraded /etc/termcap to version 9.3.25
  * Added binary-indep and binary-arch targets to debian/rules. (Fixes #12743)
  * Linked shared library against libc (Fixes #16568)
  * Shared library stripped with --strip-unneeded.
  * Removed ldconfig calls in postinst and postrm.
  * Compiled library with -D_REENTRANT.
  * Added libtermcap.so.2 symlink
  * Renamed upstream changelog to 'changelog' (instead of 'ChangeLog').
  * ... and generally updated package to comply with policy version 2.4.0.0

 -- Christian Hudon <chrish@debian.org>  Fri, 13 Feb 1998 21:32:43 -0500
