## termcap-compat 1.1.1.1.0slink1

=== debian/changelog ===
termcap-compat (1.1.1.1.0slink1) stable; urgency=high

  * Non-maintainer by Security Team
  * Applied patch to fix buffer overflow.  Patch by Kevin Vajk
    <kvajk@ricochet.net> (fixes: Bug#43141)
  * Renamed version for slink

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 18 Aug 1999 00:25:59 +0200
