## termcap-compat 1.1.2

=== debian/changelog ===
termcap-compat (1.1.2) stable unstable; urgency=HIGH

  * Corrected typo in description. (Closes: #18972)
  * Fixed two buffer overflows. (Closes: #24200, #43141)
  * Removed hardcoded reference to i486. (Closes: #24785)
  * Added check to debian/rules to make sure that package 
    is compiled with altgcc. (Closes: #45363)
  * Moved from section misc to oldlibs.

 -- Christian Hudon <chrish@debian.org>  Tue, 26 Oct 1999 23:02:23 -0400
