=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: termcap-compat
 Maintainer: Christian Hudon <chrish@debian.org>
 Standards-Version: 2.4.0.0
-Section: misc
+Section: oldlibs
 Priority: extra
 
 Package: termcap-compat
@@ -23,7 +23,7 @@
  about a missing /etc/termcap file.
  .
  The termcap-compat package isn't meant to be used to compile programs
- therefore it doesn't provide all the necesary files for compilation. If you 
+ therefore it doesn't provide all the necessary files for compilation. If you 
  want to compile a program that claims to need termcap, why not try 
  ncurses's termcap emulation instead? It's as simple as linking with ncurses 
  instead of libtermcap (i.e. replace the '-ltermcap' with '-lncurses' in
