=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,21 @@
 
 # Must now be compiled with altgcc
 
+ARCH=$(shell dpkg --print-gnu-build-architecture)
+ifeq ($(ARCH),i386)
+ARCH=i486
+endif
+
 build:
 	$(checkdir)
-	PATH=/usr/i486-linuxlibc1/bin:$$PATH \
+	test -x /usr/$(ARCH)-linuxlibc1/bin/gcc || (echo This package must be compiled with altgcc;exit 1)
+	PATH=/usr/$(ARCH)-linuxlibc1/bin:$$PATH \
 		$(MAKE) CFLAGS="-O2 -D_REENTRANT -I."
 	touch build
 
 clean:
 	$(checkdir)
-	-rm -rf build debian/files debian/tmp debian/*~
+	-rm -rf build debian/files debian/tmp debian/*~ debian/substvars
 	-rm -f .depend .emacs.desktop
 	-$(MAKE) clean
 
@@ -49,7 +55,7 @@
 	chown -R root.root debian/tmp
 # And finally, build the Debian package!
 	dpkg-shlibdeps debian/tmp/lib/libtermcap.so.2.0.8
-	dpkg-gencontrol -isp
+	dpkg-gencontrol
 	dpkg --build debian/tmp ..
 
 define checkdir
