## termcap-compat 1.2.3

=== debian/changelog ===
termcap-compat (1.2.3) frozen unstable; urgency=low

  * Updated xterm entries to match those used by xfree86 3.3.6 Debian package.
    (Closes: #55841)

 -- Christian Hudon <chrish@debian.org>  Thu,  3 Feb 2000 22:17:16 -0500

termcap-compat (1.2.2) unstable; urgency=low

  * Updated to standards version 3.1.1.1

 -- Christian Hudon <chrish@debian.org>  Fri, 31 Dec 1999 14:15:22 -0500

termcap-compat (1.2.1) unstable; urgency=low

  * Now compiled only for i386. Email me if termcap-compat is needed for
    some other architecture. Closes: #48747

 -- Christian Hudon <chrish@debian.org>  Fri, 31 Dec 1999 12:13:11 -0500

termcap-compat (1.2) unstable; urgency=low

  * Updated termcap file to most recent upstream version.
  * Added xterm-debian terminal type. (Closes: #38400, #39553, #46276)
  * Added call to ldconfig in postinst as required by policy
  * Made package compliant with policy 3.0 and the FHS.

 -- Christian Hudon <chrish@debian.org>  Sat, 30 Oct 1999 01:48:57 -0400
