=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: termcap-compat
+Build-Depends: altgcc, libc5-altdev
 Maintainer: Christian Hudon <chrish@debian.org>
-Standards-Version: 2.4.0.0
+Standards-Version: 3.1.1.1
 Section: oldlibs
 Priority: extra
 
 Package: termcap-compat
-Architecture: any
+Architecture: i386
 Depends: ${shlibs:Depends}
 Replaces: libtermcap
 Conflicts: libtermcap
@@ -32,4 +33,4 @@
  .
  This package provides:
   libtermcap.so shared library, version 2.0.8
-  termcap database, version 9.13.25
+  termcap database, version 10.2.7
